Subject: West Australian Permaculture, and the Land Management Society.

From: [email-masked] (Victor Guest)
Date: Thu, 02 Jun 1994 07:09:29 WST

Larry,
      Would you appreciate info from our Permaculture and LMS community 
in West Australia.
Could people subscribe to our Newsletters.
I can also manage a list from you within EEPO. This list is already 
partially set up as perma.
We are getting a number of permies to moderate info from groups they
subscribe to.
Hope I'm getting it right. (etiquit wyse) 
--
Victor Guest   V.G. and A-M Guest              Perth, Western Australia
[email-masked]                       3 McKee Plce Kingsley
                ----: Sustainable Agriculture :----   Tel. (09) 3092108
      ----: The Land Management Society & Permaculture :----